Package: org.grails.core

## [Java] Class DefaultGrailsControllerClass.MethodHandleInvoker

- org.grails.core.DefaultGrailsControllerClass.MethodHandleInvoker

- All Implemented Interfaces and Traits:
    ActionInvoker

      private class DefaultGrailsControllerClass.MethodHandleInvoker

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.invoke.MethodHandle` | `handle` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodHandleInvoker (java.lang.invoke.MethodHandle handle)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `invoke(java.lang.Object controller)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.invoke.MethodHandle handle

  - ### Constructor Detail

    - #### public MethodHandleInvoker(java.lang.invoke.MethodHandle handle)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object invoke(java.lang.Object controller)